/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#ifndef FILEDOWLOADERSETTINGSGUI_H
#define FILEDOWLOADERSETTINGSGUI_H

#include <QWidget>
#include "manualproxycfg_gui.h"

namespace Ui {
class FileDowloaderSettingsGUI;
}

class FileDowloaderSettingsGUI : public QWidget
{
    Q_OBJECT

public:
    explicit FileDowloaderSettingsGUI(QWidget *parent = 0);
    ~FileDowloaderSettingsGUI();

protected:
    void changeEvent(QEvent *e);

private slots:
    void	 proxyMethodChanged(const QString & text);
private:
    ManualProxyCFG_GUI* manualProxyCFG_GUI;
    Ui::FileDowloaderSettingsGUI *ui;
    QWidget* lastWidget;
};

#endif // FILEDOWLOADERSETTINGSGUI_H
